Bug 127027 - Limiting search results
Limiting search results
Status: ASSIGNED
Product: Red Hat Web Site
Classification: Red Hat
Component: Documentation (Show other bugs)
current
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Mackanic
Ken Reilly
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-30 15:38 EDT by kirk l. holub
Modified: 2009-08-19 22:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kirk l. holub 2004-06-30 15:38:01 EDT
Hello, when I 'Search for' a term within RedHat documentation is there
any way to limit my searches to only the RHEL 3 documentation?
Search results from older versions (5.x, 6.x, ... 9.x) are typically
useless to me and I simply do now want to see the search results.

Additional info:
I received this response from Edward C. Bailey [ed@redhat.com]:

"That's a very good point!  Unfortunately, I was also unable to figure
out a way to narrow a documentation search, either, so my guess is
that our search engine currently lacks that capability.

However, I think this would be a great feature to have, and think it
should be something our Web engineers hear about."
Comment 1 Clay Murphy 2004-06-30 18:14:48 EDT
This is a worthwhile request. I'm realigning to the appropriate
product (Red Hat Web Site instead of Red Hat Network) and will then
add some findings that may help resolve this issue.
Comment 2 Clay Murphy 2004-06-30 18:47:11 EDT
Alrighty, now that I seem to have gotten this bug into the appropriate
hands, I'll add my findings from some experimentation I did earlier today:

I've determined our search engine will support more granular queries,
down to the specific version of a manual if desired.

I think that's a bit much, but I would recommend providing readers the
option of searching within documentation sets, essentially mirroring
the categories listed within the Products pulldown menu on the main
Red Hat Docs page (https://www.redhat.com/docs/). It would be simple
enough to add a similar menu to the Search Docs dialog area on the
same page that could isolate queries to specific subdirectories of
redhat.com/docs/.

To see what I'm talking about, take a look at the extended search
options available on this page:
http://www.redhat.com/cgi-bin/search.cgi?form=extended

Note the In pulldown menu offers options for individual mailing list
archives, as well as all documentation. This is done by listing the
corresponding subdirectories, such as /archives/amd64-list, and
/archives/anaconda-devel-list. The same can be done for the various
subdirectories of /docs.

For instance, the following page shows the results of a search for
"RHN" within Red Hat Enterprise Linux manuals only:
http://www.redhat.com/cgi-bin/search.cgi?q=RHN&cmd=Search%21&form=extended&ul=%2Fdocs%2Fmanuals%2Fenterprise&m=all&ps=10&fmt=long&wm=wrd&sp=1&sy=1&wf=2221&type=&GroupBySite=no

The 25 hits here would be much easier to sift through than the 541
items returned on a search for the same term through all Red Hat
documentation, not to mention the thousands produced by a query of the
full redhat.com site.

All that's required to make this work is the additional menu on the
main Red Hat Docs page. Everything else appears to be in place. We may
have to exclude some files from indexing, specifically the
generated-index.html files and perhaps the glossaries, since they
contain heaps of terms that will cause them to appear near the top on
many searches. Otherwise, we should be golden.

Please let me know if you have questions.
Comment 3 kirk l. holub 2004-07-01 11:24:42 EDT
Clay, et.al.,

Thanks.  This is exactly what I need.  I hope the 'additional menu on
the main Red Hat Docs page' can be added soon.  If this happens I
assume that an announcement will be made.

Will this bug report remain open 1) until this feature is implemented,
or 2) or until the decision NOT to implement this feature is made? 
Or, is this bug considered closed at this point.

--Kirk
Comment 4 Ed Bailey 2004-07-01 13:38:52 EDT
Kirk -- the status field will change when the, uh, bug's status
changes.  :-)

Also note that Clay is not the person assigned to work on this bug. 
The person that *is* assigned to work on this bug is currently out of
the office for a while, so if you were hoping for a resolution within
a day or so you're going to be disappointed... :-)
Comment 5 Christopher M. Smith 2004-07-01 15:23:35 EDT
I will take a look at this and see how doable this is over the next few days.  

CMS
Comment 6 Christopher M. Smith 2004-09-27 10:57:33 EDT
Clay / Kirk--

Based on the desires of what marketing / Web Development want to do with searching the 
website, we are currently investigating a commercial offering for this to replace out what 
we are currently using with a more flexible solution.

Jeff Mackanics is the point man for generating a list of requirements, so I am passing this 
his direction.

Kind Regards,
CMS

Note You need to log in before you can comment on or make changes to this bug.